Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Readers > Kobo Reader

Notices

Reply
 
Thread Tools Search this Thread
Old 08-25-2019, 11:19 AM   #1
TheArtfulDodger
Zealot
TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.TheArtfulDodger can grok the meaning of the universe.
 
TheArtfulDodger's Avatar
 
Posts: 109
Karma: 155110
Join Date: Nov 2010
Location: Ashford, Kent, England
Device: Kobo Clara, Kobo Touch, Kindle, Nook Touch
Unhappy Kobo Database Version Unsupported

Hello, all:

Today I plugged in my Kobo Clara HD and Calibre brought up a notification I've never seen before: "Kobo database version unsupported"!

When I looked at the details I saw: "Your Kobo is running an updated firmware/database version. As calibre does not know about this updated firmware, database editing is disabled, to prevent corruption." It showed that the database version is "152" and my firmware version is "4, 15, 12920".

The details went on to discuss an experiment but I'm nervous. Can someone clarify my "next step"?

For completeness, the message was:

Your Kobo is running an updated firmware/database version. As calibre does not know about this updated firmware, database editing is disabled, to prevent corruption. You can still send books to your Kobo with calibre, but deleting books and managing collections is disabled. If you are willing to experiment and know how to reset your Kobo to Factory defaults, you can override this check by right clicking the device icon in calibre and selecting "Configure this device" and then the "Attempt to support newer firmware" option. Doing so may require you to perform a factory reset of your Kobo.

Thanks for your help in advance!

Sparky
TheArtfulDodger is offline   Reply With Quote
Old 08-25-2019, 12:46 PM   #2
jackie_w
Grand Sorcerer
jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.jackie_w ought to be getting tired of karma fortunes by now.
 
Posts: 5,013
Karma: 11700264
Join Date: Sep 2009
Location: UK
Device: PRS-350, Kobo: Aura6", H2O, GloHD, KA1, ClaraHD, Forma
It sounds like your version of calibre needs updating. Calibre 3.46 certainly supports Kobo firmware 4.15.12920.
jackie_w is offline   Reply With Quote
Old 08-25-2019, 12:49 PM   #3
JIPG-reader
Zealot
JIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beautyJIPG-reader does all things with Zen-like beauty
 
JIPG-reader's Avatar
 
Posts: 102
Karma: 32126
Join Date: Dec 2017
Location: Madrid (Spain)
Device: Kobo Aura H2O Ed2, Onyx Boox C67ML
Do you have installed the last version of Calibre (3.46)?. Normally the calibre driver is updated to recognize the last fw version and its database type. During some time you have to wait for the driver to be updated, but your fw version is not pretty new ...
JIPG-reader is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Kobo database version unsupported paulfiera Devices 4 01-10-2016 05:46 AM
Kobo database version unsupported? paulfiera Devices 2 08-28-2015 02:13 AM
kobo database version unsupported error on MAC 10.6.8 cloudyweather Devices 1 09-14-2014 10:14 AM
Glo Kobo glo and calibre 1.25.0 : kobo database version not suported ? gperrot Kobo Reader 2 07-13-2014 10:24 AM
Failed: Kobo database version unsupported? Lesley2 Devices 4 09-30-2012 11:51 PM


All times are GMT -4. The time now is 05:58 AM.


MobileRead.com is a privately owned, operated and funded community.